Collections
Endpoint shortcuts
POST/v1/data/:workspace_id/collectionsCreate a collectionPOST/v1/data/:workspace_id/collectionsCreate a collection folderPOST/v1/data/:workspace_id/collectionsCreate a collection inside a folderGET/v1/data/:workspace_id/collections/:collection_idPATCH/v1/data/:workspace_id/collections/:collection_idPUT/v1/data/:workspace_id/collections/:collection_idGET/v1/data/:workspace_id/collectionsDELETE/v1/data/:workspace_id/collections/:collection_idUse an access token for these calls. Replace the sample IDs with your own. Each endpoint page includes request and response examples.
The Collection object
json
{ "@context": {...}, "@id": "ChTOSFASLKdVOraA", "createdAt": "2021-01-08T10:24:26.612030+00:00", "updatedAt": "2021-02-15T15:48:18.007428+00:00", "label": "Contacts", "@type": "Collection", "parents": ["/xbDnos4GHeCO7YnUN8vJ"], "itemsType": "Person", "icon": "\ud83e\udd91",}Properties
| Property | Type | Info | Description |
|---|---|---|---|
| @context | object | Optional | JSON-LD context information. |
| @id | string | Optional | Unique object ID. |
| createdAt | string | Optional | Creation time as an ISO 8601 timestamp. |
| updatedAt | string | Read only | Last update time as an ISO 8601 timestamp. |
| label | string | Required | Name of the Collection. |
| @type | string | Required | Value is "Collection" |
| parents | list of strings | Required | Exactly one path: /<workspace_id> at the root, or /<workspace_id>/<folder_id> for an immediate parent folder in the same workspace. Not an API URL. |
| itemsType | string | Required | Data type for the rows, such as Person. Use Collection to create a folder that organizes other collections. |
| icon | string | Optional | Emoji Character |
Fields not listed above return a bad-request error.
Create a collection
Create a collection folder
Create a collection inside a folder
Create a collection inside a folder →